Subject: Re: [PATCH] stash: show error message when lockfile is present

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Nov 2021 12:05:36 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> The "quiet" here is orthagonal, it's to disable the chatty output from
> read-cache.c.

It shouldn't be.  read-cache.c may want to report errors and
progresses, and among the errors it may not include lock-related
things.  If the change were to (1) extend the flag word to make it
more uniform, so that it does not special case ONLY the lock-related
errors, and to (2) figure out how to grab richer diagnoses out of
the lower level API functions, and to (3) reduce the messages issued
by the lower-level API functions and have it callers' responsibility
to give the messages, that would have been palatable, but the patch
as posted goes totally the opposite direction on all these points.

Yuck.